/**
 * 消息同步请求
 * 
 */
import { z } from "zod";
import { SyncMessageSchema } from "./sync_message";

export const ChatSyncRequestSchema = z.object({
  messages: z.array(SyncMessageSchema),
});

export type ChatSyncRequestInput = z.input<typeof ChatSyncRequestSchema>;
export type ChatSyncRequestData = z.output<typeof ChatSyncRequestSchema>;
